Problem installing Banshee 1.0 from source

Questions about applications and software
Forum rules
Before you post please read this

Problem installing Banshee 1.0 from source

Postby kwisher on Mon Jul 07, 2008 6:27 pm

When I try to install Banshee 1.0 from source I get the following error:

Code: Select all
No package 'gdk-x11-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GDK_X11_CFLAGS
and GDK_X11_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


I've seen this same error when trying to install Lives video editing package also. Why isn't the latest versions of these two packages available in the repositories? Can I add the repositories where they are located and how do I find out which repositories to add?

TIA
The instructions suggested Windows XP or better, so I installed Linux :)
User avatar
kwisher
Level 5
Level 5
 
Posts: 635
Joined: Wed Mar 05, 2008 12:54 pm
Location: Greentown, Indiana USA

Linux Mint is funded by ads and donations.
 

Re: Problem installing Banshee 1.0 from source

Postby CavalierBob on Mon Jul 07, 2008 8:25 pm

The Banshee team offers pre-built deb's of Banshee 1.0. Just add the following line to your sources.list, refresh Synaptic, and you should be able to install Banshee 1.0. It will be listed as banshee-1 in the list.

Code: Select all
deb http://ppa.launchpad.net/banshee-team/ubuntu hardy main


More info can be found at this page (the Banshee Team's PPA):

https://edge.launchpad.net/~banshee-team/+archive

As to why the latest & greatest of any given package is not available in the Mint repositories, I believe that has to do with Mint (Ubuntu) being based on snapshots of Debian unstable. That snapshot freezes all (18,000+) packages unless and until any are updated due to security and/or stability reasons, or until a decision is made to backport them. 'Tis just the nature of not being a "rolling release" type distro (Arch, Foresight, etc.).

Bob
All progress requires change, but not all change is progress.
--Henry Steele Commager

...there are some...who use change to promote their careers. And then there are those...who use their careers to promote change.
--Sarah Palin
User avatar
CavalierBob
Level 3
Level 3
 
Posts: 104
Joined: Wed May 14, 2008 2:27 pm
Location: Pleasant Hill, CA USA


Return to Software & Applications

Who is online

Users browsing this forum: bobd13045, chazdg24 and 21 guests